# XW_MOUSEBUTTONEVENT Struct Reference

`#include <Xw_Cextern.hxx>`

## Data Fields

XW_EVENTTYPE | type
XW_EXT_WINDOW * | awindow
int | modifier
int | button
int | state
int | x
int | y

## Field Documentation

XW_EXT_WINDOW* XW_MOUSEBUTTONEVENT::awindow

int XW_MOUSEBUTTONEVENT::button

int XW_MOUSEBUTTONEVENT::modifier

int XW_MOUSEBUTTONEVENT::state

XW_EVENTTYPE XW_MOUSEBUTTONEVENT::type

int XW_MOUSEBUTTONEVENT::x

int XW_MOUSEBUTTONEVENT::y

The documentation for this struct was generated from the following file:

- Xw_Cextern.hxx